# Uses of Interface
org.eclipse.jface.fieldassist.IControlCreator

Packages that use IControlCreator
Package
Description
org.eclipse.jface.fieldassist
Provides classes that help communicate proper content for fields in dialogs and wizards.
org.eclipse.ui.fieldassist
Classes that provide workbench-level UI support for content assistance and common workbench field decorations.

## Uses of IControlCreator in org.eclipse.jface.fieldassist

Classes in org.eclipse.jface.fieldassist that implement IControlCreator
Modifier and Type
Class
Description
`class`
`TextControlCreator`
Deprecated, for removal: This API element is subject to removal in a future version.
As of 3.3, clients should use `ControlDecoration` instead of `DecoratedField`.
Constructors in org.eclipse.jface.fieldassist with parameters of type IControlCreator
Modifier
Constructor
Description
``
`DecoratedField(Composite parent, int style, IControlCreator controlCreator)`
Deprecated.

## Uses of IControlCreator in org.eclipse.ui.fieldassist

Constructors in org.eclipse.ui.fieldassist with parameters of type IControlCreator
Modifier
Constructor
Description
``
`ContentAssistField(Composite parent, int style, IControlCreator controlCreator, IControlContentAdapter controlContentAdapter, IContentProposalProvider proposalProvider, String commandId, char[] autoActivationCharacters)`
Deprecated.